Index: /main/trunk/greenstone3/web/interfaces/oran/transform/util.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/util.xsl	(revision 24017)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/util.xsl	(revision 24018)
@@ -9,4 +9,5 @@
     <xsl:value-of select="/page/pageResponse/metadataList/metadata[@name='siteName']"/>
   </xsl:template>
+  
   <xsl:template name="siteLink">
     <a href="./{$library_name}">
@@ -15,12 +16,17 @@
     </a>
   </xsl:template>
+  
   <xsl:variable name="a">
     <xsl:value-of select="/page/pageRequest/paramList/param[@name='a']/@value"/>
   </xsl:variable>
+  
   <xsl:variable name="collections" select="/page/pageResponse/collectionList/collection"/>
+  
   <xsl:variable name="berrybasketswitch">
     <xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/>
   </xsl:variable>
+  
   <xsl:variable name="berryBasketOn" select="/page/pageRequest/paramList/param[@name='berrybasket' and @value='on']"/>
+  
   <!-- template to get the name of the current collection -->
   <xsl:template name="collectionName">
@@ -32,4 +38,5 @@
     </xsl:choose>
   </xsl:template>
+  
   <xsl:template name="collectionNameShort">
     <xsl:value-of select="/page/pageResponse/collection/@name"/>
@@ -43,8 +50,10 @@
     </xsl:if>
   </xsl:template>
+  
   <!-- text to get the name of the current service ("Browse","Search" etc) -->
   <xsl:template name="serviceName">
     <xsl:value-of select="/page/pageResponse/service/displayItem[@name='name']"/>
   </xsl:template>
+  
   <xsl:template name="textDirectionAttribute">
     <xsl:attribute name="dir">
@@ -55,4 +64,5 @@
     </xsl:attribute>
   </xsl:template>
+  
   <xsl:template name="actionClass">
     <xsl:attribute name="class"><xsl:value-of select="/page/pageRequest/@action"/>Action <xsl:if test="/page/pageRequest/@subaction"><xsl:value-of select="/page/pageRequest/@subaction"/>Subaction</xsl:if></xsl:attribute>
@@ -83,4 +93,5 @@
     </xsl:choose>
   </xsl:template>
+  
   <xsl:template match="error">
     Error: <xsl:value-of select="."/>
@@ -125,13 +136,17 @@
     </xsl:if>
   </xsl:template>
+  
   <xsl:template name="noTextBar">
     <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
   </xsl:template>
+  
   <xsl:template name="poweredByGS3TextBar">
     <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/>
   </xsl:template>
+  
   <xsl:template name="rightArrow">
     <xsl:text disable-output-escaping="yes"> &amp;raquo; </xsl:text>
   </xsl:template>
+  
   <!-- site home ....................................................................... -->
   <xsl:template name="siteHomePageTitle">
@@ -140,10 +155,13 @@
     <xsl:text> </xsl:text>
   </xsl:template>
+  
   <xsl:template name="selectACollectionTextBar">
     <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/>
   </xsl:template>
+  
   <xsl:template name="crossCollectionQuickSearchForm">
     <xsl:apply-templates select="serviceList/service[@name='TextQuery']"/>
   </xsl:template>
+  
   <xsl:template match="service[@name='TextQuery']">
     <form name="QuickSearch" method="get" action="{$library_name}">
@@ -160,4 +178,5 @@
     </form>
   </xsl:template>
+  
   <xsl:template name="collectionLinkWithImage">
     <xsl:choose>
@@ -185,7 +204,9 @@
     </xsl:choose>
   </xsl:template>
+  
   <xsl:template name="serviceClusterList">
     <xsl:apply-templates select="serviceClusterList"/>
   </xsl:template>
+  
   <xsl:template match="serviceClusterList">
     <xsl:for-each select="serviceCluster">
@@ -196,4 +217,5 @@
     </xsl:for-each>
   </xsl:template>
+  
   <xsl:template name="serviceLink">
     <div class="paramLabel">
@@ -207,4 +229,5 @@
     <br class="clear"/>
   </xsl:template>
+  
   <xsl:template name="authenticationLink">
     <xsl:for-each select="serviceList/service[@type='authen']">
@@ -217,4 +240,5 @@
     </xsl:for-each>
   </xsl:template>
+  
   <xsl:template name="libraryInterfaceLink">
     <li>
@@ -224,7 +248,9 @@
     </li>
   </xsl:template>
+  
   <xsl:template name="greenstoneLogoAlternateText">
     <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
   </xsl:template>
+  
   <!-- about page - collection home ....................................................................... -->
   <xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
@@ -233,4 +259,5 @@
   <xsl:variable name="this-element" select="/page/pageResponse/collection|/page/pageResponse/serviceCluster"/>
   <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
+  
   <xsl:template name="aboutCollectionPageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
@@ -238,4 +265,5 @@
     <xsl:text> </xsl:text>
   </xsl:template>
+  
   <xsl:template name="collectionHomeLinkWithLogoIfAvailable">
     <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
@@ -258,4 +286,5 @@
     </a>
   </xsl:template>
+  
   <xsl:template name="homeButtonTop">
     <a href="{$library_name}?a=p&amp;sa=home">
@@ -266,4 +295,5 @@
     </a>
   </xsl:template>
+  
   <xsl:template name="helpButtonTop">
     <xsl:choose>
@@ -287,4 +317,5 @@
     </xsl:choose>
   </xsl:template>
+  
   <xsl:template name="preferencesButtonTop">
     <xsl:choose>
@@ -308,4 +339,5 @@
     </xsl:choose>
   </xsl:template>
+  
   <xsl:template name="servicesNavigationBar">
     <xsl:for-each select="$this-element/serviceList/service">
@@ -343,4 +375,5 @@
     </xsl:for-each>
   </xsl:template>
+  
   <xsl:template name="collectionDescriptionTextAndServicesLinks">
     <xsl:apply-templates select="pageResponse/collection|serviceCluster"/>
@@ -352,4 +385,5 @@
     </xsl:apply-templates>
   </xsl:template>
+  
   <xsl:template match="serviceList">	
 	<xsl:param name="collName"/>
@@ -397,4 +431,5 @@
 	</xsl:if>
   </xsl:template>
+  
   <!-- classifier page ............................................................................ -->
   <xsl:template name="collapsedNavigationTab">
@@ -416,4 +451,5 @@
     </li>
   </xsl:template>
+  
   <xsl:template name="navigationTab">
     <xsl:variable name="isCurrent" select="@name=/page/pageResponse/service/@name"/>
@@ -451,4 +487,5 @@
     </xsl:if>
   </xsl:template>
+  
   <xsl:template name="classifierLink">
     <xsl:if test="@name=/page/pageResponse/classifier/@name">
@@ -459,4 +496,5 @@
     </a>
   </xsl:template>
+  
   <!-- query page ............................................................................ -->
   <xsl:template name="indexName">
@@ -471,4 +509,5 @@
     </xsl:choose>
   </xsl:template>
+  
   <!--
 BERRY BASKET TEMPLATES
@@ -498,16 +537,19 @@
     </xsl:if>
   </xsl:template>
+  
   <!-- include the required javascript and css for berry baskets -->
   <xsl:template name="berryBasketHeadTags">
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/YAHOO.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/event.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/connection.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/dom.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/dragdrop.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/ygDDPlayer.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/ygDDOnTop.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/{$interface_name}/js/berrybasket.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/yui/yahoo-min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/yui/event-min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/yui/connection-min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/yui/dom-min.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/yui/dragdrop-min.js"><xsl:text> </xsl:text></script>
+	<script type="text/javascript" src="interfaces/{$interface_name}/js/yui/cookie-min.js"><xsl:text> </xsl:text></script>
+	<script type="text/javascript" src="interfaces/{$interface_name}/js/berrybasket/ygDDPlayer.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/berrybasket/ygDDOnTop.js"><xsl:text> </xsl:text></script>
+    <script type="text/javascript" src="interfaces/{$interface_name}/js/berrybasket/berrybasket.js"><xsl:text> </xsl:text></script>
     <link rel="stylesheet" href="interfaces/{$interface_name}/style/berry.css" type="text/css"/>
   </xsl:template>
+  
   <!--
 create a little berry which can be drag&dropped onto the berry basket
@@ -521,4 +563,5 @@
     </xsl:if>
   </xsl:template>
+  
   <!--
 create little berrys which can be drag&dropped onto the berry basket
@@ -543,4 +586,5 @@
     </xsl:if>
   </xsl:template>
+  
   <!-- document page -->
   <xsl:template name="documentTitle">
@@ -552,4 +596,5 @@
     </img>
   </xsl:template>
+  
   <xsl:template name="previousNextButtons">
     <!-- prev -->
@@ -564,3 +609,4 @@
     </a>
   </xsl:template>
+  
 </xsl:stylesheet>
